'use strict';

import Adw from 'gi://Adw';

import { ExtensionPreferences, gettext as _ } from 'resource:///org/gnome/Shell/Extensions/js/extensions/prefs.js';

import { General } from './preferences/general.js';
import { Thinkpad } from './preferences/thinkpad.js';
import { About } from './preferences/about.js';

import { ThinkPad } from './libs/driver.js';

export default class ThinkpadPreferences extends ExtensionPreferences {
    fillPreferencesWindow(window) {
        const settings = this.getSettings();
        const driver = new ThinkPad({'settings': settings});
        
        window.add(new General(window, this, driver));
        window.add(new Thinkpad(window, this, driver));
        window.add(new About(window, this));
        
        window.search_enabled = true;
    }
}